Bug 22125 - branches.pickup_location should be flagged as boolean
Summary: branches.pickup_location should be flagged as boolean
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on: 7534
Blocks: 16497
  Show dependency treegraph
 
Reported: 2019-01-14 11:02 UTC by Tomás Cohen Arazi
Modified: 2019-02-04 09:36 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22125: branches.pickup_location should be flagged as boolean (1.04 KB, patch)
2019-01-14 11:05 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 22125: branches.pickup_location should be flagged as boolean (1.15 KB, patch)
2019-01-15 11:11 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22125: branches.pickup_location should be flagged as boolean (1.22 KB, patch)
2019-01-18 16:02 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2019-01-14 11:02:56 UTC
Our coding guidelines make it mandatory to flag boolean columns as such (and use the TINYINT type on their definitions.

QA on bug 7534 missed this.
Comment 1 Tomás Cohen Arazi 2019-01-14 11:05:42 UTC
Created attachment 83883 [details] [review]
Bug 22125: branches.pickup_location should be flagged as boolean

This trivial patch just marks the mentioned column as a boolean.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Josef Moravec 2019-01-15 11:11:29 UTC
Created attachment 83944 [details] [review]
Bug 22125: branches.pickup_location should be flagged as boolean

This trivial patch just marks the mentioned column as a boolean.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Kyle M Hall 2019-01-18 16:02:12 UTC
Created attachment 84206 [details] [review]
Bug 22125: branches.pickup_location should be flagged as boolean

This trivial patch just marks the mentioned column as a boolean.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

https://bugs.koha-community.org/show_bug.cgi?id=16497

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Nick Clemens 2019-01-22 16:10:12 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-01-31 16:15:41 UTC
Pushed to 18.11.x for 18.11.03
Comment 6 Lucas Gass 2019-02-01 17:17:33 UTC
pushed to 18.05.x for 18.05.09
Comment 7 Lucas Gass 2019-02-01 18:56:56 UTC
MY mistake. this should NOT be 18.05 as it is missing dependencies. Reverted commit.